> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simple URL

> Generate an image from a template and return it as a binary file



## OpenAPI

````yaml GET /simple-url/{id}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://rendless.com/api
security: []
paths:
  /simple-url/{id}:
    get:
      description: Generate an image from a template and return it as a binary file
      parameters:
        - name: id
          in: path
          description: ID of the template, you can find it in the dashboard
          required: true
          schema:
            type: string
            format: int64
      responses:
        '200':
          description: Image rendered successfully
          content:
            image/png:
              schema:
                type: string
                format: binary
        '301':
          description: Redirect to the cached image
          content:
            image/png:
              schema:
                type: string
                format: binary
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````